gtk.Spinner
Prev | The gtk Class Reference | Next

## gtk.Spinner

gtk.Spinner — show a spinner animation (new in PyGTK 2.22)

## Synopsis

    class gtk.Spinner(gtk.DrawingArea):
        gtk.Spinner()
        def start()
        def stop()

## Ancestry

    +-- GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.DrawingArea
            +-- gtk.Spinner

## Implemented Interfaces

`gtk.Spinner` implements `gtk.Buildable` `atk.ImplementorIFace`

## gtk.Spinner Properties

gtk.Object Properties

gtk.Widget Properties

"active" | Read-Write | Whether the spinner is active. Default value: `False` This property is available in GTK+ 2.20 and above.

## gtk.Spinner Style Properties

gtk.Widget Style Properties

"cycle-duration" | Read | The duration in milliseconds for the spinner to complete a full cycle. Allowed values: >= 500 Default value: 1000 This property is available in GTK+ 2.20 and above.
"num-steps" | Read | The number of steps for the spinner to complete a full loop. The animation will complete a full cycle in one second by default (see the "cycle-duration" style property). Allowed values: >= 1 Default value: 12 This property is available in GTK+ 2.20 and above.

## gtk.Spinner Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

## Description

### Note

This widget is available in PyGTK 2.22 and above.

A GtkSpinner widget displays an icon-size spinning animation. It is often used as an alternative to a GtkProgressBar for displaying indefinite activity, instead of actual progress.

To start the animation, use `start`(), to stop it use `stop`().

## Constructor

        gtk.Spinner()

Returns : | a new `gtk.Spinner`

### Note

This constructor is available in PyGTK 2.22 and above.

Returns a new spinner widget. Not yet started.

## Methods

### gtk.Spinner.start

        def start()

### Note

This method is available in PyGTK 2.22 and above.

Starts the animation of the spinner.

### gtk.Spinner.stop

        def stop()

### Note

This method is available in PyGTK 2.22 and above.

Stops the animation of the spinner.

Prev | Up | Next
gtk.SpinButton | Home | gtk.Statusbar